Subject: Re: [Network-tokens] [Apn] [arch-d] Questions for APN: Q#5

From: "Yiannis Yiakoumis" <[email-masked]>
Date: Sat, 03 Oct 2020 00:55:56 +0000

Hi Christian,

You are right - I meant to say access network, and the fact that despite the differences between a WAN and access network the main idea that you can use fine-granularity SLAs to improve performance/cost/efficiency remains valid. Apologies for the confusion.

Best,

Yiannis

On Wed, Sep 30, 2020 at 1:58 PM, Christian Huitema < [email-masked] > wrote:

> 
> On 9/30/2020 11:07 AM, Yiannis Yiakoumis wrote:
> 
> 
>> Hi Lars,
>> 
>> 
>> 
>> On Wed, Sep 30 , 2020 at 12:28 AM, Lars Eggert < lars@ eggert. org (
>> [email-masked] ) > wrote:
>> 
>>> 
>>> 
>>> Hi,
>>> 
>>> 
>>> 
>>> 
>>> On 2020-9-26, at 2:22, Yiannis Yiakoumis < yiannis@ selfienetworks. com (
>>> [email-masked] ) > wrote:
>>> 
>>> 
>>> 
>>>> 
>>>> 
>>>> One of the first successful proof-points for SDN was Google claiming that
>>>> they moved their WAN utilization to ~100%, instead of over-provisioning.
>>>> It saved them lots of money. Two of the design principles that led them
>>>> there were
>>>> i) moving from "all packets are equally important" to "allocate resources
>>>> based on application-level priorities" and ii) moving from "TCP flows
>>>> regulated by "fair share" mechanisms" to "measure demands, and shape flows
>>>> at the endpoints".
>>>> 
>>>> 
>>> 
>>> 
>>> 
>>> I think these claims were made for Google's private B4 network, right?
>>> AFAIK that is a *very* different network from the public Internet. From
>>> what I recall, each transfer over B4 is scheduled over the course of a day
>>> based on various flow properties that are required to be specified,
>>> following some giant minmax-like computation.
>>> 
>>> 
>>> 
>>> 
>> 
>> 
>> 
>> Yes, this is for B4. While the network is different, the idea that you can
>> build a much more cost/performance efficient WAN still stands.
>> 
>> 
> 
> 
> 
> What do you call WAN? Until now, APN was proposed for "limited domains",
> which are typically access networks. WAN would imply going further, to
> long distance networks used for connections between access providers. Is
> that really what you have in mind?
> 
> 
> 
> 
> -- Christian Huitema
> 
> 
> 
>